std::_Base_bitset< _Nw >(3)

NAME
std::_Base_bitset< _Nw >

SYNOPSIS

  Public Types
typedef unsigned long _WordT

  Public Member Functions
constexpr _Base_bitset (unsigned long long __val) noexcept
template<size_t _Nb> bool _M_are_all () const noexcept
void _M_do_and (const _Base_bitset< _Nw > &__x) noexcept
size_t _M_do_count () const noexcept
size_t _M_do_find_first (size_t) const noexcept
size_t _M_do_find_next (size_t, size_t) const noexcept
void _M_do_flip () noexcept
void _M_do_left_shift (size_t __shift) noexcept
void _M_do_or (const _Base_bitset< _Nw > &__x) noexcept
void _M_do_reset () noexcept
void _M_do_right_shift (size_t __shift) noexcept
void _M_do_set () noexcept
unsigned long long _M_do_to_ullong () const
unsigned long _M_do_to_ulong () const
void _M_do_xor (const _Base_bitset< _Nw > &__x) noexcept
const _WordT * _M_getdata () const noexcept
constexpr _WordT _M_getword (size_t __pos) const noexcept
_WordT & _M_getword (size_t __pos) noexcept
constexpr _WordT _M_hiword () const noexcept
_WordT & _M_hiword () noexcept
bool _M_is_any () const noexcept
bool _M_is_equal (const _Base_bitset< _Nw > &__x) const noexcept

  Static Public Member Functions
static constexpr _WordT _S_maskbit (size_t __pos) noexcept
static constexpr size_t _S_whichbit (size_t __pos) noexcept
static constexpr size_t _S_whichbyte (size_t __pos) noexcept
static constexpr size_t _S_whichword (size_t __pos) noexcept

  Public Attributes
_WordT _M_w [_Nw]
0 is the least significant word.

Detailed Description

  template<size_t _Nw>
struct std::_Base_bitset< _Nw >" Base class, general case. It is a class invariant that _Nw will be nonnegative.

See documentation for bitset.

Definition at line 75 of file bitset.

Member Data Documentation

  template<size_t _Nw> _WordT std::_Base_bitset< _Nw >::_M_w[_Nw]

0 is the least significant word.

Definition at line 80 of file bitset.

Author

Generated automatically by Doxygen for libstdc++ from the source code.